<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.Get Method (UInt32, Transaction)
BTreeDatabase Class See Also

Retrieve a specific numbered key/data pair from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, DatabaseEntry> Get(
    	uint recno,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Get ( _
    	recno As UInteger, _
    	txn As Transaction _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, DatabaseEntry^> Get(
    	unsigned int recno,
    	Transaction^ txn
    )

#### Parameters

recno
  Type: System..::.UInt32
  The record number of the record to be retrieved.

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data.

# See Also

BTreeDatabase Class
Get Overload
BerkeleyDB Namespace